------------------------------------------------------------
Shockvoice Changelog
------------------------------------------------------------

svserver (0.9.6-1) unstable; urgency=low

  * client:
  * added linux hotkey functionality.
  * mac client is now also bundled.
  * up to 8 mousebuttons supported for hotkeys now.
  * fixed resampler code & celt codec
  * fixed sound stuttering problems.
  * client now produces more logfile information in config directory to help diagnose startup problems.
  * only one registration request can be sent at once to a user and admin gets confirmation afterwards.
  * server:
  * server can now be configured to force audio traffic over udp or tcp.
  * when changing default roles for registered or anonymous users, the permissions will now update right away.
  * added a series of switches for configuring and checking to svserver executable.
  * added a series of new functions to the SOAP interface.
  * added probing of libsvserver when the server starts to make sure it's available and of correct version.
  * forum authentication now also includes Burning Board v2

 -- Christian Loos <chris@shockvoice.org>  ??? ?? January 2011 18:00:00 +0100

svserver (0.9.5-1) unstable; urgency=low

  * client:
  * windows client is now portable.
  * mac client is finally available.
  * G15 users will no longer see Shockvoice autostarted by the G15 software.
  * when going through "show server info" then "edit", users with SMB permission get the right dialog now.
  * completed french translations.
  * client logfiles are now deleted after 7 days.
  * when editing a group, permissions you cannot assign are greyed out now.
  * when cross-connecting or disconnecting, open server edit dialogs are closed and servername in title is reset.
  * on the server info dialog, the edit button is now greyed out for non-priviledged users.
  * server & client:
  * server maintenance mode and redirect work properly now.
  * shockvoice does now properly encode cyrillic and other non ASCII text.
  * shockvoice does no longer need a mono installation. Server comes bundled with mono version 2.4. Client comes with Mono 2.6.
  * server:
  * server now uses digital signed tokens to become a commercial version. no separate version needed anymore.
  * deleting channels which contain voicegroups which have voicegroup keys attached works now.
  * added support for HLSW. http://www.hlsw.org/
  * when beeing moved in a hidden channel, hidden users will now become visible for the joining person. 
  * fixed utf8 encoding.
  * fixed automatic log deletion.

 -- Christian Loos <chris@shockvoice.org>  Wed 18 August 2010 18:00:00 +0100

svserver (0.9.4-1) unstable; urgency=low

  * client:
  * fixed denoising (this time for real :)
  * fixed maximum textlengths of all input textboxes.
  * fixed "grant" button in whiteboard to use selected user in viewers list instead of users list.
  * fixed missing scrollbar issues in treeview & gridviews.
  * added GSM 6.10 codec.
  * client & server:
  * possibility to display a banner in the client added.
  * channels can be limited to a group now.
  * a temporary serverpassword can be generated which is valid for one day.
  * server:
  * user accounts can now expire or be deactivated.
  * added external authentication through LDAP, Eve Online and various forum systems.
  * added SOAP webservice interface to control server.
  * default user groups are created when creating a new server. this is configurable in config.xml
  * default channels are created when creating a new server. this is configurable in config.xml
  * when joining a hidden channel, users won't get permanently invisible for nonpriviledged users anymore.
  * when joining a hidden channel, hidden users will now become visible for the joining person

 -- Christian Loos <chris@shockvoice.org>  Sun 28 March 2010 18:00:00 +0100

svserver (0.9.3-1) unstable; urgency=low

  * client:
  * fixed french language file
  * fixed server modify (basic) dialog
  * fixed denoising
  * "Send message to all" is now greyed out for admins who cannot use it.
  * reconnect interval will now increase with every failure till 30 seconds max.
  * several empty notice messages fixed (when kicked/banned)
  * context menus for user/channel/voicegroup are now correctly partially greyed out according to permissions.
  * server:
  * fixed server delete command
  * fixed usage of port number with mysql server in config.xml in the form (server:port)
  * fixed SUM, SP permissions
  * fixed evaluation of default groups for anonymous/registered users.

 -- Christian Loos <chris@shockvoice.org>  Sun 1 February 2010 18:00:00 +0100

svserver (0.9.2-1) unstable; urgency=low

  * client:
  * fixed issue with dead keys not working while client runs.
  * certain options are now greyed out if users do not have the permissions.
  * some minor bugfixes made.
  * client can now be started more than once.
  * fixed channel ordering.
  * max users in channels can now be modified correctly.
  * voice activation improved. it will now try and filter noises and measure the human voice more accurate.
  * improved 'new voicemail' dialog
  * server:
  * added better control over log file creation in the server.
  * performance improvements made in the server.
  * a kick now automatically adds a short ban of 1 minute.
  * a ban is now automatically followed by a kick.
  * a lounge is now automatically added to each newly created server.
  * server & client:
  * added CELT codec
  * codecs can now be added through plugin system
  * added away messages
   
 -- Christian Loos <chris@shockvoice.org>  Sun 17 January 2010 18:00:00 +0100

svserver (0.9.1-1) unstable; urgency=low

  * client:
  * added simple audio feedback for hotkeys 
  * fixed missing H flag for hidden channels in treeview
  * fixed loading backdrops in whiteboard after one has been loaded already
  * when creating voicegroup in a channel, that channel is now preselected.
  * vertical scrollbar is now correctly displayed for lists.
  * french language files completed.
  * server:
  * fixed deleting of channels that contains voicegroups
  * added sqlite migration script for 0.8.4
  * fixed receiving of voicemails
  * fixed logging in with empty nickname
  * fixed possible database exceptions during login
  * deleting of channels that contain voicegroups is fixed.
  * admins can now join voicegroups which are locked through a group
  * default groups for anonymous and registered users are now also checked when joining a secured voicegroup.
  * deleting a server that contains users with voicemails now works.
  * stopping servers fixed.
   
 -- Christian Loos <chris@shockvoice.org>  Sun 11 October 2009 21:00:00 +0100

svserver (0.9.0-1) unstable; urgency=low

  * client:
  * linux client finally available.
  * new treeview & gridview controls developed.
  * gridview now correctly sorts indices and datetime values.
  * logfiles implemented in client. new improved exception and error handling implemented.
  * new dialog to edit users for a group added.
  * added quick connect dialog.
  * added global hotkeys.
  * server:
  * server now uses less threads to limit resource usage.
  * many performance optimizations were made.
  * serverside mixing was removed from the server.
  * fixed crash in whiteboard when user disconnects while backdrop is transmitted.
  * fixed bug with adding single server account user to a virtual channel.
  * query will now also transmit voicegroup information, server information and user's admin/anonymous flags
  * server & client:
  * Audio routing is now switched automatically between UDP/TCP 
  * 128bit AES encryption added for all traffic.
  * new communication protocol implemented which saves traffic when transmitting audio over tcp.
  * protocol encoding changed from ASCII to UTF8.
  * voice groups implemented which allow a quick public alternative to virtual channels.

 -- Christian Loos <chris@shockvoice.org>  Sun 4 October 2009 18:00:00 +0100

svserver (0.8.4-1) unstable; urgency=low

  * client:
  * added denoising filter
  * added echo cancellation filter (experimental)
  * updated speex codec to the newest version
  * fixed bug that destroyed dead-key information like adding an accent to a letter.
  * server:
  * fixed virtual channel problem: when users reconnected, they could not hear you anymore.
  * fixed changing a channel from registered to administrative without having the permissions.
  * server instances will now report to svnetwork at different times instead of all at once.
  * fixed possibility of putting a channel into one of its own subchannels which can cause stack overflows and crashes.
  * fixed users beeing invisible when connecting if they're not in a channel.

 -- Christian Loos <chris@shockvoice.org>  Sun 14 December 2008 18:23:00 +0100

svserver (0.8.3-1) unstable; urgency=low

  * client:
  * svlink handling fixed.
  * servers in connection dialog are now sorted.
  * mouse key works with vchannels now.
  * tray icon connect/disconnect fixed.
  * when creating a channel, another persons "create channel" dialog is no longer closed.
  * server:
  * performance optimizations made.
  * fixed sending vchannel info to clients when connecting, so vchannels work again. 
  * server & client:
  * ghost users fixed

 -- Christian Loos <chris@shockvoice.org>  Sun 30 November 2008 20:21:00 +0100

svserver (0.8.2-1) unstable; urgency=low

  * client:
  * default channel can now be set again.
  * client now reconnects to the correct channel if multiple channels with the same name exist.
  * assign groups window now has a remove entry button.
  * update check delayed client startup. fixed!
  * client now stores channel passwords. (only in combination with SV server versions >= 0.8.2)
  * slightly changed connection dialog
  * server:
  * hoster interface got a series of new commands to modify servers/users/plugins.
  * svnetwork register call could potentially hang important functions of the server. fixed!
  * logging in with an account while it's already logged in from another location will kick the old client.
  * server & client:
  * users with SUM permission can now only create single-server user accounts. IU is required for multi-server accounts.
  * new code for ping timeouts that is less aggressive.

 -- Christian Loos <chris@shockvoice.org>  Sun 9 November 2008 20:21:00 +0100

svserver (0.8.1-1) unstable; urgency=low

  * server:
  * fixed server unregister at svnetwork.
  * fixed permission check of CK when kicking people from channel.
  * fixed sqlite on linux.
  * a couple minor bugfixes.
  * admins can now drag underpriviledged users into protected channels.
  * client:
  * fixed removal of registry entries when uninstalling.
  * fixed whiteboard desync problems.
  * "Message of the day", "Server Message" and "Maintenance Message" can now contain clickable links.
  * media player plugin can now read ID3 tags of MP3s and their duration.
  * media player now supports drag and drop of files.
  * media player now continues with next song after finishing current.
  * event sounds do not interrupt each other anymore.
  * server & client:
  * whiteboard now transmits backdrop images to all users.
  * nicknames now displayed in whiteboard instead of account names.

 -- Christian Loos <chris@shockvoice.org>  Wed 21 August 2008 18:27:00 +0100

svserver (0.8.0-1) unstable; urgency=low

  * client:
  * treeview improved. new separate icon for speaking symbol. channel imploding bug fixed.
  * completely new lightweight UI
  * blacklist query has been implemented. blacklisted servers cannot be connected to anymore.
  * speaker/mic mute options added.
  * shortcuts added to all important functions
  * changing sound devices does not require restart anymore.
  * column widths in channel view are now saved.
  * servername is now displayed in the titlebar.
  * tray message balloons added.
  * audio recorder added.
  * client will now minimize correctly without leaving a box in the lower left corner.
  * keys now have proper names in config and virtual channel setup instead of sys164 etc.
  * added voice test to configuration.
  * fixed auto reconnect when initial connect fails.
  * when connecting, the client does not block anymore
  * fixed crashes when connecting/disconnecting USB audio devices.
  * event sounds can now be set for every event type additional to the computer voice.
  * fixed a couple of bugs in the connect dialog when using more than one entry with the same host.

  * server:
  * resource usage optimized. server now uses less threads.
  * register at svnetwork will now also work correctly for servers which use bind-to-ip
  * whisper into moderated channel no longer possible.
  * create channel ban fixed.
  * fixed SU/SUM permissions. without UI permission they did not work.
  * fixed bug when muting user. user could still be heard when several people speak.
  * when deleting servers or users, their complete information is now deleted from the database.
  * sqlserver windows authentication now supported

  * server & client:
  * moderated channels implemented.
  * audio can now be router over UDP & TCP instead of UDP only
  * fixed whispering (key changes were not updated correctly)
  * default codec quality can be configured in each server.
  * a default registered usergroup can now be configured.
  * added sending messages to all users
  * the usual list of small bugfixes.

 -- Christian Loos <chris@shockvoice.org>  Sun 13 July 2008 19:08:00 +0100

svserver (0.7.7-1) unstable; urgency=low

  * client:
  * moved svlink registration into the setup so SV does not throw an exception on vista.
  * numpad keys for push-to-talk are now properly supported.
  * push-to-talk key can now be discarded when pressed, so no other application will receive the event
  * whiteboard pen/eraser rate set to 15 samples per second.
  * server:
  * fixed bug in maximum slots check.
  * hoster interface can now listen on any IP instead of only localhost.
  * hoster interface now has new functions to reload a server and clone users.
  * query plugin is now limited to 10 concurrent connections.
  * server & client:
  * maximum codec quality setting implementation finished.
  * channel & server kick messages implemented.

 -- Christian Loos <chris@shockvoice.org>  Sun 19 Jan 2008 17:21:00 +0100

svserver (0.7.6-1) unstable; urgency=low

  * client & server:
  * a new permission was added to give limited access to server instance editing.
  * unprivileged users now get the userlist when creating/editing vchannels.
  * fixed several bugs in the permissions system.
  * a maximum allowed audio quality can now be configured per server.
  * client:
  * fixed auto-updater.
  * fixed auto-reconnect.
  * the option to view all users or this servers users does now exist in the user administration.
  * fixed media player bug: volume was altered even when people were speaking in other channels.
  * blacklist query implemented. connecting to banned hosts no longer possible.
  * fixed 16 second audio loops under high load. 
  * fixed some crashes in the media player.
  * server:
  * limiter added which uses socket lock to prevent more 
    than one SV process of the community version to be run.
  * logfiles are separated by server instance and output as text & html.
  * Server can now run on different UIDs than root.
  * Server can now bind to a specific IP address instead of all of them
  * A maximum of pending TCP connections can now be configured.
  * hoster interface added (svctl.exe)

 -- Christian Loos <chris@shockvoice.org>  Sun 02 Dec 2007 21:33:00 +0100

svserver (0.7.5-1) unstable; urgency=low

  * client & server:
  * added virtual channels
  * added channel ordering
  * fixed lots of small bugs
  * client:
  * made the audio peak bar more sensitive in the settings.
  * fixed drag and drop of other users.
  * fixed activating plugins on additional server instances
  * dramatically reduced memory consumption
  * server:
  * most constants are now configurable in the config.xml

 -- Christian Loos <chris@shockvoice.org>  Sun 21 Oct 2007 21:33:00 +0100

svserver (0.7.0-1) unstable; urgency=low

  * client & server:
  * added whiteboard plugins
  * implemented channel flags (hidden, moderated, admin-only, no anonymous)
  * anonymous accounts can have a role now.
  * serverside mixing is now optional.
  * removed 8khz audio mode, added 32khz mode
  * bans can now have a reason and an automatic endtime.
  * role scope is not anymore set in the role itself but when assigning the role.
  * users can be created for single-server only, resulting in seperate namespaces for each server.
  * svcodec library optimized to use less memory.
  * speex codec updated to version 1.2beta2.
	
  * client:
  * added multilinguality (german and english)
  * added silence time parameter
  * fixed audio playback volume
  * fixed normalizing.
  * reworked UI design
  * added icons for locked admin-/temp-channels
  * added auto-updater
  * channel flags/quality settings are now displayed in the channelview. 
  * usernames are no longer cut off in the userview
  * fixed warning sound when sending a message in chat.
  * client can now be started even when audio device init fails.
  * users can now be moved by drag and drop in the channelview.
  * G15 plugin fixed to only display people in own channel.
	
  * server:
  * added query plugin
  * added audio buffer to compensate for network fluctuation.
  * fixed server timing precision problems.
  * channels cannot have themselves as parent anymore.
  * changing someones permissions does not require logging out/in anymore.
	
  * other:
  * added PHP script to display channels/users on a webpage
	
 -- Christian Loos <chris@shockvoice.org>  Wed, 13 Aug 2007 21:33:00 +0100

svserver (0.6.0-1) unstable; urgency=low

  * client & server:
  * codec quality setting is variable now.
  * voicemail plugins implemented.
  * Windows XP x64 Edition now supported.
  * Anonymous user registration added.
  * Channel passwords are inherited to subchannels.
  * Some bugs in the permission system fixed.
  * Ping-Timeout code rewritten.
  * client:
  * finished audio plugin system. former c++ audio code rewritten in c#
  * Logitech g15 plugin added.
  * chat plugin now highlights URLs and has a userlist that displays all active chatters.
  * User interface cleanup.
  * Channel and message windows can be set to visible again if closed.
  * Fixed occasional error when disconnecting.
  	
 -- Christian Loos <chris@shockvoice.org>  Wed, 13 Jun 2007 17:55:00 +0100

svserver (0.5.1-1) unstable; urgency=low

  * client:
  * fixed bug that caused a wrong device to be used for recording.
  * fixed bug that prevented you from connecting to standard port 8040 after connecting to any other.
  * you can't open a chat window to yourself anymore.
  * you cannot open a chat window to a person more than once now.
  * if someone chats in a background tab, it will be marked with a '*'.
  * server:
  * fixed bug that lets you modify a server to run on the same port as another one.
  * added reporting of server version to SVNetwork registration.
  * server now instantly registers at SVNetwork, if you modify it to do that.
  * changed SVNetwork registration interval to 15 minutes.
	
 -- Christian Loos <chris@shockvoice.org>  Thu, 10 May 2007 16:12:00 +0100

svserver (0.5.0-1) unstable; urgency=low

  * client & server:
  * implemented new permission system
  * implemented plugin system
  * added chat plugin
  * samplerate was changed from 11khz to 16khz to improve sound quality.
  * client:
  * added tool tips to explain certain parameters in some forms
  * added normalizing to make adjusting volumes unnecessary
  * servers can be deleted from list
  * added tray icon context menu.
  * server:
  * added registration at network.shockvoice.org
	
 -- Christian Loos <chris@shockvoice.org>  Sun, 06 May 2007 16:12:00 +0100

svserver (0.4.1-1) unstable; urgency=low

  * client:
  * minimize to tray implemented
  * status of channel list (expanded/collapsed) is stored for each server.
  * fixed bug #24: when viewing multiple channel infos, every dialog gets the correct info now.
  * fixed race condition in auto-away timer.
  * mouse hook will no longer freeze the client when minimizing or closing the client.
  * fixed hanging thread which caused client to stay in the taskmanager sometimes.
  * server:
  * start & stop scripts for linux corrected.
  * fixed exception when user leaves channel while speaking.
  * ping timeout will now happen after 35 seconds without response instead of 5,
    requiring 3 pings to get lost before kicking people.
  * client & server:
  * UDP port is now the same as TCP port instead of TCP port +1
  * Installer now checks for .NET framework and offers to download and install.
  * Deinstalling now removes logfiles and configurations.

 -- Christian Loos <chris@shockvoice.org>  Thu, 22 Mar 2007 22:00:00 +0100
 
svserver (0.4.0-1) unstable; urgency=low

  * client:
  * modifying anonymous accounts makes them registered ones.
  * leaving SV in minimized mode does not fuck up the window anymore.
  * removing channel & server passwords implemented.
  * implemented auto-away.
  * added client side ping timeouts.
  * added "join channel after login".
  * numerous small fixes.
  * server:
  * anonymous server passwords implemented.
  * administrators don't need channel passwords anymore.
  * client & server
  * kicking & banning implemented.
  * duplicate nicknames are no longer allowed.

 -- Christian Loos <chris@shockvoice.org>  Fri, 16 Mar 2007 17:09:00 +0100

svserver (0.3.19-1) unstable; urgency=low

  * New features are:
  * Voice activation by mouse
  * md5 password storage 
  * Client Ping timeouts 
  * If you had a previous stored password, make sure you re-enter your password.
  * Several Bugfixes

 -- Christian Loos <chris@shockvoice.org>  Sat, 03 Mar 2007 17:13:56 +0100

svserver (0.3.18-1) unstable; urgency=low

  * A new IM-style status system was implemented.
  * Fixed crash when querying user info in userlist.
  * Added ability to mute microphone and/or speakers.
  * Improved sound buffer handling to reduce repeating speech bits.
  * Added speech output

 -- Christian Loos <chris@shockvoice.org>  Wed, 27 Feb 2007 19:25:26 +0100

svserver (0.3.17-1) unstable; urgency=low

  * Initial Release.

  * This is a bugfix release. Notable fixed bugs are:
  * Client:
  * Fixed playback volume adjustment
  * Removed close buttons on channel and message windows. If you had a previous SV installation 
    remove "My Documents/Shockvoice Files/docking.xml" for this to take effect.
  * Fixed crash when opening multiple user info windows quickly.
  * Server:
  * Fixed "unclean" socket terminations which resulted in ghost users.
  * Added ping timeouts to further ensure removal of dead clients.

 -- Christian Loos <chris@shockvoice.org>  Tue, 26 Feb 2007 16:45:36 +0100